Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.entity.triplebased
Class IterativeNodeSim

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.measures.CachedMeasure<com.hp.hpl.jena.graph.Node>
          fr.inrialpes.exmo.ontosim.entity.triplebased.IterativeNodeSim

All Implemented Interfaces:
  Measure<com.hp.hpl.jena.graph.Node>

    public class IterativeNodeSim

extends CachedMeasure<com.hp.hpl.jena.graph.Node>

Nested Class Summary

Nested classes/interfaces inherited from interface fr.inrialpes.exmo.ontosim.Measure
`Measure.TYPES`

Field Summary
`private double` | `diff`
`Set<com.hp.hpl.jena.graph.Node>` | `extNodes1`
`Set<com.hp.hpl.jena.graph.Node>` | `extNodes2`
`private Measure<com.hp.hpl.jena.graph.Node>` | `intialSim`
`Set<com.hp.hpl.jena.graph.Node>` | `litNodes1`
`Set<com.hp.hpl.jena.graph.Node>` | `litNodes2`
`private com.hp.hpl.jena.rdf.model.Model` | `m1`
`private com.hp.hpl.jena.rdf.model.Model` | `m2`
`URI2Triples` | `o1BTriples`
`URI2Triples` | `o1Triples`
`URI2Triples` | `o2BTriples`
`URI2Triples` | `o2Triples`

Fields inherited from class fr.inrialpes.exmo.ontosim.util.measures.CachedMeasure
`mValues, type`

Constructor Summary
`IterativeNodeSim(com.hp.hpl.jena.rdf.model.Model m1, Set<String> uris1, com.hp.hpl.jena.rdf.model.Model m2, Set<String> uris2, Measure<String> ssim, double epsilon)`
`IterativeNodeSim(com.hp.hpl.jena.rdf.model.Model m1, String prefix1, com.hp.hpl.jena.rdf.model.Model m2, String prefix2, Measure<String> ssim, double epsilon)`
`IterativeNodeSim(com.hp.hpl.jena.rdf.model.Model m1, String prefix1, Set<String> uris1, com.hp.hpl.jena.rdf.model.Model m2, String prefix2, Set<String> uris2, Measure<String> ssim, double epsilon)`

Method Summary
`private void` | `compute(Measure<String> ssim, double epsilon)`
`void` | `computeInitialSim(Measure<String> ssim, Matrix<com.hp.hpl.jena.graph.Node,com.hp.hpl.jena.graph.Node> simMD)`
`Matrix<com.hp.hpl.jena.graph.Node,com.hp.hpl.jena.graph.Node>` | `getmatrix()`
`Collection<com.hp.hpl.jena.rdf.model.Model>` | `getModels()`
`private static boolean` | `isLocal(com.hp.hpl.jena.graph.Node n, String prefix, Set<String> uris)`
`static void` | `loadTriples(com.hp.hpl.jena.rdf.model.Model m, String prefix, Set<String> objects, URI2Triples uri2triples, URI2Triples blanck2triples, Set<com.hp.hpl.jena.graph.Node> extNodes, Set<com.hp.hpl.jena.graph.Node> litNodes)`
`protected MatrixDouble<com.hp.hpl.jena.graph.Node,com.hp.hpl.jena.graph.Node>` | `updateSim(URI2Triples set1, URI2Triples set2, SetMeasure<com.hp.hpl.jena.graph.Triple> setM)`

Methods inherited from class fr.inrialpes.exmo.ontosim.util.measures.CachedMeasure
`getDissim, getMeasureValue, getMType, getSim`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m1

    private com.hp.hpl.jena.rdf.model.Model m1

### m2

    private com.hp.hpl.jena.rdf.model.Model m2

### o1Triples

    public URI2Triples o1Triples

### o2Triples

    public URI2Triples o2Triples

### o1BTriples

    public URI2Triples o1BTriples

### o2BTriples

    public URI2Triples o2BTriples

### extNodes1

    public Set<com.hp.hpl.jena.graph.Node> extNodes1

### extNodes2

    public Set<com.hp.hpl.jena.graph.Node> extNodes2

### litNodes1

    public Set<com.hp.hpl.jena.graph.Node> litNodes1

### litNodes2

    public Set<com.hp.hpl.jena.graph.Node> litNodes2

### diff

    private double diff

### intialSim

    private Measure<com.hp.hpl.jena.graph.Node> intialSim

Constructor Detail

### IterativeNodeSim

    public IterativeNodeSim(com.hp.hpl.jena.rdf.model.Model m1,
                            String prefix1,
                            Set<String> uris1,
                            com.hp.hpl.jena.rdf.model.Model m2,
                            String prefix2,
                            Set<String> uris2,
                            Measure<String> ssim,
                            double epsilon)

### IterativeNodeSim

    public IterativeNodeSim(com.hp.hpl.jena.rdf.model.Model m1,
                            Set<String> uris1,
                            com.hp.hpl.jena.rdf.model.Model m2,
                            Set<String> uris2,
                            Measure<String> ssim,
                            double epsilon)

### IterativeNodeSim

    public IterativeNodeSim(com.hp.hpl.jena.rdf.model.Model m1,
                            String prefix1,
                            com.hp.hpl.jena.rdf.model.Model m2,
                            String prefix2,
                            Measure<String> ssim,
                            double epsilon)

Method Detail

### compute

    private void compute(Measure<String> ssim,
                         double epsilon)

### updateSim

    protected MatrixDouble<com.hp.hpl.jena.graph.Node,com.hp.hpl.jena.graph.Node> updateSim(URI2Triples set1,
                                                                                            URI2Triples set2,
                                                                                            SetMeasure<com.hp.hpl.jena.graph.Triple> setM)

### computeInitialSim

    public void computeInitialSim(Measure<String> ssim,
                                  Matrix<com.hp.hpl.jena.graph.Node,com.hp.hpl.jena.graph.Node> simMD)

### isLocal

    private static boolean isLocal(com.hp.hpl.jena.graph.Node n,
                                   String prefix,
                                   Set<String> uris)

### loadTriples

    public static void loadTriples(com.hp.hpl.jena.rdf.model.Model m,
                                   String prefix,
                                   Set<String> objects,
                                   URI2Triples uri2triples,
                                   URI2Triples blanck2triples,
                                   Set<com.hp.hpl.jena.graph.Node> extNodes,
                                   Set<com.hp.hpl.jena.graph.Node> litNodes)

### getModels

    public Collection<com.hp.hpl.jena.rdf.model.Model> getModels()

### getmatrix

    public Matrix<com.hp.hpl.jena.graph.Node,com.hp.hpl.jena.graph.Node> getmatrix()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009